"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Colors = void 0;
var react_1 = __importStar(require("react"));
var flat_list_1 = require("../flat-list");
var text_1 = require("../text");
var styled_1 = require("./styled");
exports.Colors = (0, react_1.memo)(function (_a) {
    var colors = _a.colors;
    var renderItem = function (_a) {
        var item = _a.item;
        return (react_1.default.createElement(styled_1.SwatchPaletteWrapper, null,
            react_1.default.createElement(styled_1.SwatchPalette, null,
                react_1.default.createElement(styled_1.Swatch, { backgroundColor: colors[item], opacity: 1 }),
                react_1.default.createElement(styled_1.Swatch, { backgroundColor: colors[item], opacity: 0.75 }),
                react_1.default.createElement(styled_1.Swatch, { backgroundColor: colors[item], opacity: 0.5 }),
                react_1.default.createElement(styled_1.Swatch, { backgroundColor: colors[item], opacity: 0.25 })),
            react_1.default.createElement(text_1.Text, { textAlign: 'center' },
                colors[item],
                ' ',
                "-",
                item)));
    };
    return (react_1.default.createElement(styled_1.ColorsWrapper, null,
        react_1.default.createElement(flat_list_1.FlatList, { data: Object.keys(colors), keyExtractor: function (key) { return key; }, renderItem: renderItem, scrollEnabled: false })));
});
