"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Component = exports.Header = exports.Root = exports.StoryScreenWrapper = exports.StoryWrapper = exports.StyledApp = void 0;
var util_react_native_functions_1 = require("@react-pakistan/util-react-native-functions");
var native_1 = __importDefault(require("styled-components/native"));
var scroll_view_1 = require("../scroll-view");
var view_1 = require("../view");
exports.StyledApp = (0, native_1.default)(view_1.View)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  flex: 1;\n"], ["\n  flex: 1;\n"])));
exports.StoryWrapper = (0, native_1.default)(scroll_view_1.ScrollView)(templateObject_2 || (templateObject_2 = __makeTemplateObject([""], [""])));
exports.StoryScreenWrapper = (0, native_1.default)(view_1.View)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  background-color: ", ";\n"], ["\n  background-color: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.lightGrey;
});
exports.Root = (0, native_1.default)(view_1.View)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  background-color: ", ";\n"], ["\n  background-color: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.darkGrey;
});
exports.Header = (0, native_1.default)(scroll_view_1.ScrollView)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  border-bottom-color: ", ";\n  max-height: ", "px;\n  padding-horizontal: ", "px;\n"], ["\n  border-bottom-color: ", ";\n  max-height: ", "px;\n  padding-horizontal: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.darkGrey;
}, (util_react_native_functions_1.height / 9), function (_a) {
    var theme = _a.theme;
    return theme.spacing.medium;
});
exports.Component = (0, native_1.default)(view_1.View)(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  background-color: ", ";\n  padding: ", "px;\n"], ["\n  background-color: ", ";\n  padding: ", "px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.white;
}, function (_a) {
    var padding = _a.padding, theme = _a.theme;
    return padding || theme.spacing.default;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6;
