/// <reference path="../../src/global.d.ts" />
/// <reference types="styled-components-react-native" />
import { IRNTheme } from '@react-pakistan/util-react-native-functions';
export declare const ColorsWrapper: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, {}, never>;
export declare const SwatchPaletteWrapper: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, {}, never>;
export declare const SwatchPalette: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, {}, never>;
export declare const Swatch: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, ISwatchProps, never>;
export interface ISwatchProps {
    /**
     * Specifies the background color of Swatch component
     */
    backgroundColor: string;
    /**
     * Specifies the opacity of Swatch component
     */
    opacity: number;
    /**
     *
     */
    theme: IRNTheme;
}
