import { TextInputProps } from 'react-native';
export declare enum KEYBOARD_TYPES {
    EMAIL = "email-address",
    NUMBER = "numeric",
    PHONE = "phone-pad",
    TEXT = "default",
    URL_ANDROID = "default",
    URL_IOS = "url"
}
export declare enum TEXT_INPUT_TYPES {
    DEFAULT = "default",
    ERROR = "error",
    FOCUS = "focus",
    FOCUS_OUT_WITH_TEXT = "focus-out-with-text"
}
export interface ITextInputProps extends TextInputProps {
    /**
     *
     */
    border?: string;
    /**
     *
     */
    borderRadius?: number;
    /**
     *
     */
    paddingHorizontal?: number;
    /**
     *
     */
    paddingVertical?: number;
    /**
     *
     */
    width?: string;
}
