import { IRNTheme } from '@react-pakistan/util-react-native-functions';
import { ReactNode } from 'react';
export interface IStoryProps {
    /**
     * Accepts the ReactNode for Story wrapper
     */
    children: ReactNode;
}
export interface IStoryScreenProps {
    /**
     * Read Node as a children
     */
    children: ReactNode;
}
export interface IStyledStoryProps {
    /**
     *
     */
    children: ReactNode;
    /**
     *
     */
    theme: IRNTheme;
}
export interface IComponentProps {
    /**
     * Specifies the background for Component
     */
    noBackground?: boolean;
    /**
     * Specifies the padding for Component
     */
    padding?: number;
}
export interface IUseCaseProps {
    /**
     * Accepts the ReactNode for Component wrapper
     */
    children: ReactNode;
    /**
     * Specifies the Title for UseCase
     */
    text: string;
    /**
     *
     */
    theme: IRNTheme;
    /**
     * Specifies the name of the Usage
     */
    usage?: string;
}
